Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class MouseEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.MouseEvent

Direct Known Subclasses:
  DragDetectEvent

public class MouseEvent
extends TypedEvent

Instances of this class are sent whenever mouse related actions occur. This includes mouse buttons being pressed and released, the mouse pointer being moved and the mouse pointer crossing widget boundaries.

Note: The `button` field is an integer that represents the mouse button number. This is not the same as the `SWT` mask constants `BUTTONx`.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

Since:
  1.1
See Also:
  `MouseListener`, `MouseMoveListener`, `MouseTrackListener`, Serialized Form

Field Summary
`int` `button` the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.
`static int` `MOUSE_DOUBLE_CLICK`
`static int` `MOUSE_DOWN`
`static int` `MOUSE_UP`
`int` `stateMask` the state of the keyboard modifier keys at the time the event was generated
`int` `time` the time that the event occurred.
`int` `x` the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released
`int` `y` the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`MouseEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.
`MouseEvent(Widget source, int id)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, MouseListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(Object listener)`
`static Object[]` `getListeners(Adaptable adaptable)`
`protected Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, MouseListener listener)`
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MOUSE_DOWN

    public static final int MOUSE_DOWN

See Also:
  Constant Field Values

### MOUSE_UP

    public static final int MOUSE_UP

See Also:
  Constant Field Values

### MOUSE_DOUBLE_CLICK

    public static final int MOUSE_DOUBLE_CLICK

See Also:
  Constant Field Values

### time

    public int time

  the time that the event occurred. NOTE: This field is an unsigned integer and should be AND'ed with 0xFFFFFFFFL so that it can be treated as a signed long.

  Since:
    1.2

### button

    public int button

  the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.

### stateMask

    public int stateMask

  the state of the keyboard modifier keys at the time the event was generated

  Since:
    1.3

### x

    public int x

  the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released

### y

    public int y

  the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

Constructor Detail

### MouseEvent

    public MouseEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information
Since:
  1.2

### MouseEvent

    public MouseEvent(Widget source,
                      int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Since:
  1.2

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

### addListener

    public static void addListener(Adaptable adaptable,
                                   MouseListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      MouseListener listener)

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### getListeners

    public static Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.